Debian Bug report logs - #231003
Should include IPv6 support from the beginning

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Fabio Massimo Di Nitto <fabbione@fabbione.net>

Date: Sun, 12 Jan 2003 11:33:06 UTC

Severity: wishlist

Tags: d-i, ipv6

Merged with 509201, 596572, 650529

Found in version 0.01

Fixed in version netcfg/1.90

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>, installation-reports@packages.qa.debian.org:
Bug#176399; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
New Bug report received and forwarded. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>, installation-reports@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: INSTALL REPORT
Date: Sun, 12 Jan 2003 12:22:05 +0100
Package: installation-reports
Version: CVS 12 Jan 2003
Severity: normal

Debian-installer-version: locally built netdisk CVS 12 Jan 2003
uname -a: Linux gundam 2.4.20-686 #1 Sat Dec 21 15:58:35 EST 2002 i686 unknown unknown GNU/Linux
Date: 12 Jan 2003
Method: Network installation, booted from floppy, local debian mirror with no proxy

Machine: Compaq Armada M700
Processor: P3 750Mhz
Memory: 386M
Root Device: IDE /dev/hda
Root Size/partition table

/dev/hda3 on / type auto (rw,errors=remount-ro)
proc on /proc type proc (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda2 on /boot type ext3 (rw,errors=remount-ro)
/dev/hda5 on /var type ext3 (rw,errors=remount-ro)
/dev/hda6 on /crypto type ext3 (rw,errors=remount-ro)
/dev/hda8 on /usr type ext3 (rw,errors=remount-ro)
usbdevfs on /proc/bus/usb type usbdevfs (rw)

Output of lspci:

gundam:~# lspci 
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
00:04.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:04.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
00:08.0 Multimedia audio controller: ESS Technology ES1978 Maestro 2E (rev 10)
00:09.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 09)
00:09.1 Serial controller: Lucent Microelectronics LT WinModem
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M AGP 2x (rev 64)


Base System Installation Checklist:

Initial boot worked:    [O]
Configure network HW:   [O] *
Config network:         [O] * 
Detect CD:              [ ]
Load installer modules: [O] *
Detect hard drives:     [O]
Partition hard drives:  [O] *
Create file systems:    [O] *
Mount partitions:       [O] *
Install base system:    [O] *
Install boot loader:    [O] *
Reboot:                 [O] *
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

* please read the notes below.

Comments/Problems:

Most of the problems I found were already reported by other people
such as the ext3, hostname, proc, etc. so that explains some data
that are reported above since i fixed them by myself at a later stage.

- Configure network HW

It would be extremely nice if it was possible to have pcmcia support as well.
Some old laptops do not have integrated nic. But of course this is a wishlist
and not a real huge problem at the moment.

- Config network

Another good thing (IMO) would be to have IPv6 to install from the beginning.
I made an investigation in order to implement it and if the project will
stick on one floppy to start with than it useless to continue to read since there
will never be enough space :-). but if for instance it will be on 2 floppies
the IPv6 module takes approx. 65/70k, the changes to net-cfg are relativly simple
but the main issue could be busybox. commands like ifconfig and route should be
able to understand ipv6. They do in a very limited way that is actually not enough.
I need to investigate deeper in this direction anyway.

- Load installer modules

I selected some of them but I had a few doubt about the EVMS module.
it loads but how people are supposed to use it?

I have tried as well to install the 2.4.20 udebs, but at the first reboot the system
does not have 2.4.20 at all. I had to install it by hand after.

- Language chooser

It looks to me that it could be difficult for new users to understand things like:

nb_NO
nn_NO
se_NO
lv_LV

even if enter+enter+enter fits 99% of the system. A minimum description would
be just great.

- Partition hard drives

Basically it works but it would extremely simple if we culd use cfdisk instead of fdisk
that is kinda hard to use for new users.

- Create file systems

What about the swap? I tagged a partition as Linux Swap (82) but i didn't
got any chance to tell d-i to mkswap and put the relative entry in fstab

- Mount partitions

It would be a good idea to suggest /boot as well.
More than a problem a question: is there any specific reason why we have to use
the "." to end the manual mount option? is it related to the fact that 2.4 can
mount multiple times the same device to more mount points (that will make sence)?
See also above for the swap.. not really a mount but hey... a swapon execution
will be usefull

- Install base system

the netretriver cannot be stopped. this is somehow annoying if we select a wrong
mirror to fetch data from. I have also tried disconnecting the network cable for
more than a minute but it didn't timeout (to simulate net problems) is that normal?


- Install boot loader

Well you already know that grub does not work.
Lilo does not hounor other OS installed
on the system and it comes (of course due to space problems) with a really minimal
config. Should this problem be addressed in d-i or in base-config?
I believe that atleast other OS'es recongnition should be done by d-i to avoid new
users panicing at the first reboot, even if it could be done at a later stage
during the base-config step.... just my concern

- Reboot

The same warning that others have reported.

- After reboot (small issues)

The network module selected during the installation is not loaded, that will make the
installation process stop when it is time to fetch data.

It would be nice to have the default sources.ist pointing to sarge. I saw other discussion
about this issue already in other threads but at leasting during a testing phase
it would speed up, even if it is no more a d-i problem.

Looking at / i got a bit disappointed. I do NOT want to start a flamewar but looking
all the symlinks to kernel and initrd is kinda hugly, since there is no real technical
needs for them. Anyway this is just my opinion (I had to write it :-) )


Nice work guys!
Looking forward to test new versions soon

Regards
Fabio


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux diapolon 2.4.20aa1 #1 Sat Dec 14 10:35:38 CET 2002 i686
Locale: LANG=C, LC_CTYPE=C




Bug 176399 cloned as bug 231003. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `netcfg'. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: d-i Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, fabbione@fabbione.net, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#231003; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Joshua Kwan <joshk@triplehelix.org>:
Extra info received and forwarded to list. Copy sent to fabbione@fabbione.net, Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #18 received at 231003@bugs.debian.org (full text, mbox):

From: Joshua Kwan <joshk@triplehelix.org>
To: 231003@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: INSTALL REPORT
Date: Wed, 3 Mar 2004 00:26:59 -0800
[Message part 1 (text/plain, inline)]
tags 231003 + help
thanks

On Sun, Jan 12, 2003 at 12:22:05PM +0100, Fabio Massimo Di Nitto wrote:
> It would be extremely nice if it was possible to have pcmcia support as well.
> Some old laptops do not have integrated nic. But of course this is a wishlist
> and not a real huge problem at the moment.

pcmcia-cs should be available in the images on gluck. For netboot
they're not included by default. This might change but we're tight on
space.

> Another good thing (IMO) would be to have IPv6 to install from the beginning.
> I made an investigation in order to implement it and if the project will
> stick on one floppy to start with than it useless to continue to read since there
> will never be enough space:-). but if for instance it will be on 2 floppies
> the IPv6 module takes approx. 65/70k, the changes to net-cfg are relativly simple
> but the main issue could be busybox. commands like ifconfig and route should be
> able to understand ipv6. They do in a very limited way that is actually not enough.
> I need to investigate deeper in this direction anyway.

Patches Gratefully Accepted, well, to busybox that is.

(I'm quite a newbie with IPv6, so either give me a comprehensive
tutorial or do it youreslf... ;))

-- 
Joshua Kwan
[signature.asc (application/pgp-signature, inline)]

Tags added: help Request was from Joshua Kwan <joshk@triplehelix.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 231003 509201. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 19 Dec 2008 18:42:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `netcfg' to `netcfg'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 19 Dec 2008 18:48:03 GMT) Full text and rfc822 format available.

Added tag(s) ipv6. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sat, 16 Jan 2010 19:48:24 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:46 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:47 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:47 GMT) Full text and rfc822 format available.

Forcibly Merged 231003 509201 596572. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 06:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#231003; Package netcfg. (Mon, 03 Jan 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Jan 2011 20:42:03 GMT) Full text and rfc822 format available.

Message #43 received at 231003@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: 231003@bugs.debian.org
Subject: netcfg: should support IPv6
Date: Tue, 4 Jan 2011 07:39:48 +1100
Just a quick note to indicate that I'm working on this at the moment. 
It's... not trivial, but enough of the pieces should be in place that the
job isn't insanely difficult.

- Matt




Removed tag(s) help. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:54:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 231003: 611330 Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 23:09:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 231003: 611870 Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 06:21:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:05 GMT) Full text and rfc822 format available.

Forcibly Merged 231003 509201 596572 650529. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 02 Dec 2011 17:03:14 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Mon, 17 Sep 2012 21:03:10 GMT) Full text and rfc822 format available.

Notification sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
Bug acknowledged by developer. (Mon, 17 Sep 2012 21:03:10 GMT) Full text and rfc822 format available.

Message #58 received at 231003-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 231003-close@bugs.debian.org
Subject: Bug#231003: fixed in netcfg 1.90
Date: Mon, 17 Sep 2012 21:00:00 +0000
Source: netcfg
Source-Version: 1.90

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 231003@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Sep 2012 19:32:30 +0200
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source amd64
Version: 1.90
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 231003
Changes: 
 netcfg (1.90) unstable; urgency=low
 .
   [ Philipp Kern ]
   * netcfg.h: drop ip6-localnet (obsolete)
   * netcfg.h: drop ip6-mcastprefix (no need for it to be in /etc/hosts)
   * netcfg-common.c (is_layer3_qeth): fix off-by-one, introduce a constant
 .
   * Fully support installation over IPv6. (Closes: #231003)
 .
   [ Matt Palmer ]
   * Pull NULL_IPADDRESS out into a global constant
   * Refactor out some program-global variables
   * Only flush address families we manage
   * Remove global variable netcfg_progress_displayed
   * Remove gateway from being a global var, and turn it into a string
   * Make nameserver_array a local, and an array of strings
   * Move the rest of the static-specific globals into functions
   * Convert all remaining in_addr variables to strings
   * Create and use a struct to store all network interface settings
   * Add test framework, and make inet_mton support AF_INET6
   * Add missing instructions to test/README
   * Add netcfg_parse_cidr_address to do protocol-independent address parsing
   * Add test/run to gitignore
   * Make a few more functions IPv6 aware
   * First working draft of IPv6 support
   * Support IPv6 netmasks, for people who like typing too much
   * Add ethtool-lite.o to test build objects, so things build
   * Don't run the test suite on package build
   * Make no_default_route take IPv6 into account
   * Make read_resolv_conf_nameservers handle IPv6 addresses
   * Detect and use autoconfigured IPv6 addresses (part 1)
   * SLAAC detection support in kFreeBSD
   * Add proper GPL header to ipv6.c
 .
   [ Colin Watson ]
   * Move wireless options into struct netcfg_interface
 .
   [ Matt Palmer ]
   * Refactor /etc/network/interfaces writing code
   * Obtain DNS resolvers via RA options
   * IPv6 support for using rDNS to preseed hostnames
   * Deal with stateless DHCPv6
   * Don't use wide-dhcpv6 on non-Linux arches
   * Use dhclient -6 to support stateless DHCP on FreeBSD
   * Fix the 'get default IPv6 route' command on freebsd
   * Modify the way that rdisc6 is called to make the progress bar more
     responsive
 .
   [ Colin Watson ]
   * Get DNS and search information when doing stateless DHCPv6
   * Stateful DHCPv6 support
   * Add dual-stack support
   * Kill stateless dhcp6c from netcfg rather than from print-dhcp6c-info
   * Select DHCPv6 client at run-time
   * Fix up test suite to pass again
   * Remove di_debug calls from signal handlers
   * Exit immediately if daemon() fails
   * Use a sentinel file to determine whether dhcp6c has finished
   * Fix dhclient DUID generation
   * Release isc-dhcp-client IPv6 leases at end of install
   * Remove usleep workaround in stop_rdnssd; avoiding the use of stdio in
     signal handlers should have fixed this
   * Make sure domain is empty if fgets fails
   * print-dhcpv6-info: Exit immediately if reason is not BOUND6, RENEW6, or
     REBIND6
   * Don't bother unlinking /var/lib/netcfg/dhcp6c-finished unless we're
     using dhcp6c
   * print-dhcpv6-info: Actually apply IPv6 address and resolv.conf entries
     received from the DHCPv6 server
   * Don't preseed IP addresses as hostnames
 .
   [ Philipp Kern ]
   * autoconfig.c: initialize getline's lineptr with NULL
   * ipv6.c: force stateless_config to 0 if stateful_config is set also
   * dhcp.c: fix dhcp_hostname handling
 .
   [ Christian Perrier ]
   * Style corrections to debconf templates. (Reviewed by Justin B Rye.)
Checksums-Sha1: 
 11d4391d64315fa5dcd0839e8b6d7c193fd00e8d 1478 netcfg_1.90.dsc
 19cb4d9cc3e3a3ebd67e9e09736695fb288b4d4d 700115 netcfg_1.90.tar.gz
 401d0bf9d685deb57cdb8de33cadc2733cb2e671 371994 netcfg_1.90_amd64.udeb
 008729285893ba1ce0868ed6837804b64530822c 285968 netcfg-static_1.90_amd64.udeb
Checksums-Sha256: 
 87c250404b6ff0816d60e6e3053f9d575df2f23decd3f8c168cf7324ff2ace15 1478 netcfg_1.90.dsc
 d1cef6173c4aa4359faf3cdb9dda28c84a60f9a7638111a1e1cf8b568c4d5b9c 700115 netcfg_1.90.tar.gz
 be2b2c3d44d0523496a42504a1723e2fa761f6a8f30ea624ddbef154d7006702 371994 netcfg_1.90_amd64.udeb
 c2a60fb84bebc3b51eb3d4b8c661ed8473688a0d1cd31669460a48c4cd4aa9da 285968 netcfg-static_1.90_amd64.udeb
Files: 
 e4437d60994894f29249409e3fc3e79e 1478 debian-installer optional netcfg_1.90.dsc
 cc49c44562b450fb4a905398d30e38ff 700115 debian-installer optional netcfg_1.90.tar.gz
 3b24271e6f0fc4553bbe16963e88a9c4 371994 debian-installer optional netcfg_1.90_amd64.udeb
 4ddab6d398ad6aa0999b223aa1632c9a 285968 debian-installer optional netcfg-static_1.90_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQV17AAAoJEERuJUU10FbsP3kIAI3Osq4VChY84lLOagyiDNhO
0LYl/fUsg1fvTEwuns5wziS6o3wcDsXQbWgWE3FukEt0FSxRY2AVyByzTiesONJK
7H7CF93bVLKgc0dUWddVbnAPLkd42xaPXyz/5ZZkpKZdhLVQbB3zj9gY8Sijau7C
qiPUC2PdCQY4G2ntY9dg8cJu1LteWhUBzSW09uf7PtTozhNx77UdEBUZhR8gJvEu
luoxD+TuuNrLKrRwZrf5glxyr2xmMNtGY0MS+/1/RDu9Y9hChyV0RpxC7Qgh9VW+
qOtzCUlOwo6MlBsYdWT4yMfUsQTyvq14AmG6QKucuWd3Bjq6h5rCQNQRg96mbT8=
=NR7d
-----END PGP SIGNATURE-----




Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Mon, 17 Sep 2012 21:03:10 GMT) Full text and rfc822 format available.

Notification sent to Jens Link <jenslink@quux.de>:
Bug acknowledged by developer. (Mon, 17 Sep 2012 21:03:11 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Mon, 17 Sep 2012 21:03:11 GMT) Full text and rfc822 format available.

Notification sent to Tanu Kaskinen <tanuk@iki.fi>:
Bug acknowledged by developer. (Mon, 17 Sep 2012 21:03:11 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Mon, 17 Sep 2012 21:03:12 GMT) Full text and rfc822 format available.

Notification sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
Bug acknowledged by developer. (Mon, 17 Sep 2012 21:03:12 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:49 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze, sid, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:21 GMT) Full text and rfc822 format available.

Marked as found in versions 0.01. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:40 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:25:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:34:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.